Last Comment Bug 750789 - Hide YouSendIt graph / stats if they don't finish their API in time
: Hide YouSendIt graph / stats if they don't finish their API in time
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Preferences (show other bugs)
: unspecified
: x86 All
: -- normal (vote)
: Thunderbird 13.0
Assigned To: Mike Conley (:mconley) - Getting through review / needinfo backlog
:
:
Mentors:
Depends on: 744010
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-01 10:14 PDT by Mike Conley (:mconley) - Getting through review / needinfo backlog
Modified: 2012-06-19 13:45 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
-
unaffected


Attachments
Patch v1 (4.10 KB, patch)
2012-05-01 10:17 PDT, Mike Conley (:mconley) - Getting through review / needinfo backlog
bugs: review+
bwinton: ui‑review+
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review
Ubuntu (50.05 KB, image/png)
2012-05-01 10:20 PDT, Mike Conley (:mconley) - Getting through review / needinfo backlog
no flags Details
OSX (59.09 KB, image/png)
2012-05-01 10:21 PDT, Mike Conley (:mconley) - Getting through review / needinfo backlog
no flags Details
Windows 7 (70.15 KB, image/png)
2012-05-01 10:24 PDT, Mike Conley (:mconley) - Getting through review / needinfo backlog
no flags Details
Windows XP (28.92 KB, image/png)
2012-05-01 10:27 PDT, Mike Conley (:mconley) - Getting through review / needinfo backlog
no flags Details

Description User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-05-01 10:14:47 PDT
The YSI v2 API gives us the amount of storage space that a user has been allocated, but does not give us any information about how much storage space a user has used.

YSI is working to fix this.  In the event that they can not finish it in time, we should have a fallback for the YSI management pane.  Blake and I discussed this, and we thought that simply displaying the YSI settings link in the center of the pane would be sufficient.
Comment 1 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-05-01 10:17:52 PDT
Created attachment 619964 [details] [diff] [review]
Patch v1

First go at this.
Comment 2 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-05-01 10:20:24 PDT
Created attachment 619965 [details]
Ubuntu
Comment 3 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-05-01 10:21:12 PDT
Created attachment 619966 [details]
OSX
Comment 4 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-05-01 10:24:27 PDT
Created attachment 619970 [details]
Windows 7
Comment 5 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-05-01 10:27:00 PDT
Created attachment 619973 [details]
Windows XP
Comment 6 User image Blake Winton (:bwinton) (:☕️) 2012-05-01 12:26:31 PDT
Comment on attachment 619964 [details] [diff] [review]
Patch v1

Looks good to me.  Thanks for the screenshots!
Comment 7 User image Andreas Nilsson (:andreasn) 2012-05-02 07:08:46 PDT
Comment on attachment 619964 [details] [diff] [review]
Patch v1

Too bad about more px values in this code, but not much we can do about that (from poking around with DOMi for a couple of minutes) it seems.
Comment 8 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-05-11 07:36:25 PDT
Comment on attachment 619964 [details] [diff] [review]
Patch v1

David has been in communication with the YSI folks, and they don't think they can provide the values in time for TB 13, and have opted to use this placeholder instead.
Comment 9 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-05-11 08:35:06 PDT
comm-beta: https://hg.mozilla.org/releases/comm-beta/rev/c1fb8dc6f817
Comment 10 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-06-07 09:54:15 PDT
David:

Do you know if YSI has finished their API for reporting storage usage stats yet?

If not, we'll need to land this on beta...

-Mike
Comment 11 User image David :Bienvenu 2012-06-07 10:07:30 PDT
(In reply to Mike Conley (:mconley) from comment #10)
> David:
> 
> Do you know if YSI has finished their API for reporting storage usage stats
> yet?
I don't know. I know they've got a large patch coming to work with their v3 api, and it wouldn't surprise me if we had to use that api. I guess we've got a few weeks to decide.
Comment 12 User image David :Bienvenu 2012-06-11 07:13:06 PDT
the status UI does work with the v3 api patch - so the question is whether the useful parts of that can land in beta, i.e., can the patch work without string changes?
Comment 13 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-06-11 07:31:08 PDT
Where is the v3 patch?
Comment 14 User image David :Bienvenu 2012-06-11 07:59:39 PDT
bug 763008
Comment 15 User image David :Bienvenu 2012-06-19 09:24:30 PDT
(In reply to David :Bienvenu from comment #12)
> the status UI does work with the v3 api patch - so the question is whether
> the useful parts of that can land in beta, i.e., can the patch work without
> string changes?

It looks very much like the v3 patch will land for beta.
Comment 16 User image Mark Banner (:standard8) 2012-06-19 13:45:05 PDT
v3 has now landed in beta for TB 14, so this is not necessary there.

Note You need to log in before you can comment on or make changes to this bug.